import { HoloVideoObject, ErrorStates, States } from "@MixedRealityCaptureStudios/holo-video-object";
import { HoloVideoObjectProxy } from "@MixedRealityCaptureStudios/holo-video-object/dist/src/holoVideoObjectProxy";
import { HoloVideoCreateOptionsWebGL } from "@MixedRealityCaptureStudios/holo-video-object/dist/src/holoVideoWebGLBackend";
import { HvoMesh } from "@MixedRealityCaptureStudios/holo-video-object/dist/src/holoVideoThreeBackend";
import * as Three from "three";
declare type HoloVideoCreateOptionsThree = HoloVideoCreateOptionsWebGL & {
    _renderer?: Three.WebGLRenderer;
};
export declare class HoloVideoObjectThreeJS extends HoloVideoObjectProxy {
    mesh: HvoMesh;
    protected _createHoloVideoObject(createOptions: HoloVideoCreateOptionsThree, updateCurrentFrameCallback?: (frame: number) => void, errorCallback?: (type: ErrorStates, info?: Error | MediaError) => void): HoloVideoObject;
    constructor(renderer: Three.WebGLRenderer, callback: (mesh: HvoMesh) => void, createOptions?: HoloVideoCreateOptionsThree, updateCurrentFrameCallback?: (frame: number) => void, errorCallback?: (type: ErrorStates, info?: Error | MediaError) => void);
}
export { States };
