const { nodeResolve } = require('@rollup/plugin-node-resolve');

const resolverConfig = {
  customResolveOptions: {
    moduleDirectories: ['holo-video-object'],
  },
};

export default {
  input: ['./dist/src/holovideoobject-three.js'],
  plugins: [nodeResolve(resolverConfig)],
  external: ['three'],
  output: {
    format: 'umd',
    file: 'dist/holo-video-object-three-umd.js',
    name: 'MRCS',
    globals: { three: 'THREE' },
  }
};