## Version 1.2.0 - 2022-09-30

- Adds `disableTransformFeedback` property to `createOptions`. This disables the plugin's default WebGL2 geometry update path while still allowing WebGL2 texture updates.
- The vertex and index buffer parameters to `HoloVideoObject.setBuffers` can now be typed arrays (see typescript definition for full parameter details). This is supported only under a WebGL1 context or when the `disableTransformFeedback` option is enabled.
- Adds `crossOrigin` property to `createOptions` that will be passed through to the `crossOrigin` propety on the plugin's internal `VideoElement`. The default value is "use-credentials".
- Capture duration will now be reported as `fileInfo.duration` in the `HoloVideoObject.onLoaded` callback. Units are in milliseconds.

## Version 1.1.1 - 2022-08-17

- Fixes an issue where Safari would throw an error while handling a gl extension.

## Version 1.1.0 - 2022-07-20

- Adds `outputLinearTextures` property to `createOptions`.

## Version 1.0.0 - 2022-06-17

- Adds initial release based on holo-video-object-three library.
