import { HoloVideoWebGLBackend } from "./holoVideoWebGLBackend";
import { FileInfo, FrameInfo } from "./holoVideoInterface";
import * as Three from "three";
export declare type HvoMesh = Three.Mesh<Three.BufferGeometry, Three.MeshBasicMaterial | Three.MeshPhysicalMaterial>;
export declare class HoloVideoThreeBackend extends HoloVideoWebGLBackend {
    private _renderer;
    private _unlitMaterial;
    private _litMaterial;
    private mesh;
    private bufferGeometry;
    constructor(renderer: Three.WebGLRenderer);
    release(): void;
    onLoaded(fileInfo: FileInfo): void;
    onUpdate(updated: boolean, currentFrameInfo: FrameInfo): void;
    onClose(): void;
    getMesh(): HvoMesh;
}
