import React from 'react';
import { HoloVideoObjectThreeJS } from '@MixedRealityCaptureStudios/holo-video-object-three';
declare type HoloVideoObjectProps = {
    path: string;
    playing?: boolean;
    muted?: boolean;
    onUpdate?: (currentTime: number, totalTime: number) => void;
    useFileCoordinates?: boolean;
    meshProps?: JSX.IntrinsicElements['mesh'];
};
export declare const HoloVideoObject: React.ForwardRefExoticComponent<HoloVideoObjectProps & React.RefAttributes<HoloVideoObjectThreeJS>>;
export {};
